%define name xosaga-cpp
%define libname %mklibname %name
%define develname %mklibname -d %name
%define version 1.2.1
%define release %mkrel 1
%define sagaversion 1.2.1

%define ldflags %nil

Name:		%name
Version:	%version
Release:	%release
Summary:	XtreemOS adaptors for SAGA
URL:		http://saga.cct.lsu.edu/
License:	BSD like
BuildRoot:	%{_tmppath}/%{name}-root
Group:		System/Cluster
Source:		%name-%{version}.tar.bz2
Requires:	%libname, XtreemFS-client
BuildRequires:	libboost-devel xmlrpc-c-devel openssl-devel
Provides:	saga = %{sagaversion}-%{release}
%description
This package contains:

- The SAGA C++ Framework
- the XtreemFS file adaptor
- the XtreemOS context

The SAGA C++ Framework is the first implementation of the SAGA (Simple
API for Grid Computing) API specification. The SAGA specification has
been defined by the SAGA Research Group at OGF as a high-level API that
directly addresses the needs of Grid application developers.

The purpose of the open source SAGA C++ Framework is to enable an
application programmer to easily create Grid applications without getting
involved with any specific Grid middleware. This does not only greatly
reduce the implementation complexity of an application but also makes
it portable between various Grid ecosystems.

%package -n %libname
Summary:	The SAGA C++ Framework (Simple API for Grid Applications)
Group:		System/Cluster
Provides:	libsaga = %{sagaversion}-%{release}
%description -n %libname
This package contains:

- The SAGA C++ Framework
- the XtreemFS file adaptor
- the XtreemOS context

The SAGA C++ Framework is the first implementation of the SAGA (Simple
API for Grid Computing) API specification. The SAGA specification has
been defined by the SAGA Research Group at OGF as a high-level API that
directly addresses the needs of Grid application developers.

The purpose of the open source SAGA C++ Framework is to enable an
application programmer to easily create Grid applications without getting
involved with any specific Grid middleware. This does not only greatly
reduce the implementation complexity of an application but also makes
it portable between various Grid ecosystems.

%package -n %develname
Summary:	Development package for %name
Group:		System/Cluster
Requires:	%libname = %{version}-%{release}
%description -n %develname
Development package for %name.

%prep
%setup -q -n %name-%{version}

%build
%configure
%__make || (cd src; %__make)
%__make

%install
%{__rm} -Rf %{buildroot}
%__make SAGA_LOCATION=%{buildroot}%{_prefix} install

%{__mkdir_p} %{buildroot}%{_sysconfdir}/profile.d
cat > %{buildroot}%{_sysconfdir}/profile.d/xosaga.sh <<EOF
#!/bin/sh

export XTREEMFS=/usr
export SAGA_LOCATION=/usr
EOF
chmod 755 %{buildroot}%{_sysconfdir}/profile.d/xosaga.sh

cat > %{buildroot}%{_sysconfdir}/profile.d/xosaga.csh <<EOF
setenv XTREEMFS /usr
setenv SAGA_LOCATION /usr
EOF
chmod 755 %{buildroot}%{_sysconfdir}/profile.d/xosaga.csh

%clean
%{__rm} -Rf %{buildroot}

%files
%doc README LICENSE AUTHORS
%{_datadir}/saga/*
%{_bindir}/saga-*
%{_sysconfdir}/profile.d/xosaga.csh
%{_sysconfdir}/profile.d/xosaga.sh

%files -n %libname
%{_libdir}/*.so

%files -n %develname
%{_includedir}/saga
%{_includedir}/xosaga
%{_libdir}/pkgconfig/saga.pc
%{_libdir}/pkgconfig/saga_boost.pc
%{_libdir}/*.a

%changelog
* Wed May 28 2008 Nicolas Vigier <nvigier@mandriva.com> 1.0-1
- first version

